## org.omg.DynamicAny
Class DynValueHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynValueHelper

public class DynValueHelper
extends java.lang.Object

Helper class for : DynValue

Author:
  OpenORB Compiler

Constructor Summary
`DynValueHelper()`

Method Summary
`static DynValue` `extract(Any a)` Extract DynValue from an any
`static java.lang.String` `id()` Return the DynValue IDL ID
`static void` `insert(Any a, DynValue t)` Insert DynValue into an any
`static DynValue` `narrow(Object obj)` Narrow CORBA::Object to DynValue
`static DynValue` `read(InputStream istream)` Read DynValue from a marshalled stream
`static TypeCode` `type()` Return the DynValue TypeCode
`static DynValue` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynValue
`static void` `write(OutputStream ostream, DynValue value)` Write DynValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynValueHelper

    public DynValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynValue t)

  Insert DynValue into an any
  Parameters:
    `a` - an any
    `t` - DynValue value

### extract

    public static DynValue extract(Any a)

  Extract DynValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynValue value

### type

    public static TypeCode type()

  Return the DynValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynValue IDL ID
  Returns:
    an ID

### read

    public static DynValue read(InputStream istream)

  Read DynValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynValue value

### write

    public static void write(OutputStream ostream,
                             DynValue value)

  Write DynValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynValue value

### narrow

    public static DynValue narrow(Object obj)

  Narrow CORBA::Object to DynValue
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynValue Object

### unchecked_narrow

    public static DynValue unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynValue
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynValue Object